package cz.cvut.kbss.ear.servlet;

import java.io.IOException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = {"/hello/*"},initParams = {
    @WebInitParam(name = "brand", value = "KBSS"),
})
public class HelloWorldServlet extends HttpServlet {

    private static int count = 0;

    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        System.out.println("This servlet has been created by " + getInitParameter("brand"));
    }

    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws IOException {
        final String accept = req.getHeader("Accept");

        final String me = req.getQueryString();
        if (accept != null && accept.equals("text/json")) {
            resp.setContentType("text/json");
            resp.getWriter().write("{ \"message\" : \"hello "+me+"\", \"count\" : \""+count+"\"}");
        } else {
            resp.setContentType("text/plain");
            resp.getWriter().write("HELLO " + me +", count="+count);
        }
        count++;
    }

    public void destroy(){
        super.destroy();
        System.out.println("This servlet is closing down.");
    }
}