package cz.cvut.kbss.ear.servlet;

import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;

@WebFilter(filterName = "Only localhost requests")
public class LocalhostServletFilter implements Filter {

    @Override public void init(FilterConfig filterConfig) {
        System.out.println("Initializing the filter " + getClass().getName());
    }

    @Override public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse,
                                   FilterChain filterChain) throws IOException, ServletException {
        System.out.println("Filtering using the filter " + getClass().getName());
        final String addr = servletRequest.getLocalAddr();
        if (addr.matches("localhost") || addr.matches("127.0.0.1")) {
            System.out.println("- match, continuing.");
            filterChain.doFilter(servletRequest, servletResponse);
        }
    }

    @Override public void destroy() {

    }
}
